## org.eclipse.emf.edit.command
Interface DragAndDropFeedback

All Known Implementing Classes:
  DragAndDropCommand, DragAndDropOverrideCommand

    public interface DragAndDropFeedback

This interface is implemented by any `Command` that supports detailed drag and drop feedback. This interface provides synonyms for all the important org.eclipse.swt.dnd.DND constants, so that commands can be written without reference to SWT.

Field Summary
`static int` `DROP_COPY` This is the same as org.eclipse.swt.dnd.DND.DROP_COPY.
`static int` `DROP_LINK` This is the same as org.eclipse.swt.dnd.DND.DROP_LINK.
`static int` `DROP_MOVE` This is the same as org.eclipse.swt.dnd.DND.DROP_MOVE.
`static int` `DROP_NONE` This is the same as org.eclipse.swt.dnd.DND.DROP_NONE.
`static int` `FEEDBACK_INSERT_AFTER` This is the same as org.eclipse.swt.dnd.DND.FEEDBACK_INSERT_AFTER.
`static int` `FEEDBACK_INSERT_BEFORE` This is the same as org.eclipse.swt.dnd.DND.FEEDBACK_INSERT_BEFORE.
`static int` `FEEDBACK_NONE` This is the same as org.eclipse.swt.dnd.DND.FEEDBACK_NONE.
`static int` `FEEDBACK_SELECT` This is the same as org.eclipse.swt.dnd.DND.FEEDBACK_SELECT.

Method Summary
`int` `getFeedback()` This returns one of the FEEDBACK_* values.
`int` `getOperation()` This returns one of the DROP_* values.
`boolean` `validate(java.lang.Object owner, float location, int operations, int operation, java.util.Collection<?> collection)` This is called repeatedly as the drag and drop information changes.

Field Detail

### DROP_NONE

    static final int DROP_NONE

  This is the same as org.eclipse.swt.dnd.DND.DROP_NONE.

  See Also:
    Constant Field Values

### DROP_COPY

    static final int DROP_COPY

  This is the same as org.eclipse.swt.dnd.DND.DROP_COPY.

  See Also:
    Constant Field Values

### DROP_MOVE

    static final int DROP_MOVE

  This is the same as org.eclipse.swt.dnd.DND.DROP_MOVE.

  See Also:
    Constant Field Values

### DROP_LINK

    static final int DROP_LINK

  This is the same as org.eclipse.swt.dnd.DND.DROP_LINK.

  See Also:
    Constant Field Values

### FEEDBACK_NONE

    static final int FEEDBACK_NONE

  This is the same as org.eclipse.swt.dnd.DND.FEEDBACK_NONE.

  See Also:
    Constant Field Values

### FEEDBACK_SELECT

    static final int FEEDBACK_SELECT

  This is the same as org.eclipse.swt.dnd.DND.FEEDBACK_SELECT.

  See Also:
    Constant Field Values

### FEEDBACK_INSERT_BEFORE

    static final int FEEDBACK_INSERT_BEFORE

  This is the same as org.eclipse.swt.dnd.DND.FEEDBACK_INSERT_BEFORE.

  See Also:
    Constant Field Values

### FEEDBACK_INSERT_AFTER

    static final int FEEDBACK_INSERT_AFTER

  This is the same as org.eclipse.swt.dnd.DND.FEEDBACK_INSERT_AFTER.

  See Also:
    Constant Field Values

Method Detail

### validate

    boolean validate(java.lang.Object owner,
                     float location,
                     int operations,
                     int operation,
                     java.util.Collection<?> collection)

  This is called repeatedly as the drag and drop information changes. The collection, which represents the dragged source, does not normally change.

### getFeedback

    int getFeedback()

  This returns one of the FEEDBACK_* values.

### getOperation

    int getOperation()

  This returns one of the DROP_* values.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.